## archvsync 20170912

=== Makefile ===
bindir = /usr/bin
docdir = /usr/share/doc/ftpsync
examplesdir = ${docdir}/examples

SCRIPTS = bin/ftpsync bin/ftpsync-cron bin/rsync-ssl-tunnel bin/runmirrors

all: $(SCRIPTS:%=%.install) $(SCRIPTS:%=%.install-tar)

bin/%.install: bin/% bin/common
	sed -r \
		-e '\#^\. .*/common"# {' -e 'r bin/common' -e 'd' -e '};' \
		-e 's/^BASEDIR=.*$$/BASEDIR=/;' \
		-e 's/^VERSION=.*$$/VERSION="${DEB_VERSION}"/;' \
		$< > $@

bin/%.install-tar: bin/% bin/common
	sed -r \
		-e '\#^\. .*/common"# {' -e 'r bin/common' -e 'd' -e '};' \
		-e 's/^VERSION=.*$$/VERSION="${DEB_VERSION}"/;' \
		$< > $@

install:
	install -d ${DESTDIR}/${bindir} ${DESTDIR}/${examplesdir}
	install bin/ftpsync.install ${DESTDIR}/${bindir}/ftpsync
	install bin/ftpsync-cron.install ${DESTDIR}/${bindir}/ftpsync-cron
	install bin/rsync-ssl-tunnel.install ${DESTDIR}/${bindir}/rsync-ssl-tunnel
	install bin/runmirrors.install ${DESTDIR}/${bindir}/runmirrors
	install -m644 \
		README.md \
		${DESTDIR}/${docdir}
	install -m644 \
		etc/ftpsync.conf.sample \
		etc/runmirrors.conf.sample \
		etc/runmirrors.mirror.sample \
		${DESTDIR}/${examplesdir}

install-tar:
	install -d ${DESTDIR}/bin ${DESTDIR}/etc ${DESTDIR}/log
	install bin/ftpsync.install-tar ${DESTDIR}/bin/ftpsync
	install bin/ftpsync-cron.install-tar ${DESTDIR}/bin/ftpsync-cron
	install bin/rsync-ssl-tunnel.install-tar ${DESTDIR}/bin/rsync-ssl-tunnel
	install bin/runmirrors.install ${DESTDIR}/bin/runmirrors
	install -m644 \
		README.md \
		${DESTDIR}
	install -m644 \
		etc/ftpsync.conf.sample \
		etc/runmirrors.conf.sample \
		etc/runmirrors.mirror.sample \
		${DESTDIR}/etc

clean:
	rm -f $(SCRIPTS:%=%.install) $(SCRIPTS:%=%.install-tar)

=== debian/changelog ===
archvsync (20170912) unstable; urgency=medium

  [ Peter Palfrader ]
  * Fix Typo in Maintainer field (re: #856695, closes: #856912).

  [ Bastian Blank ]
  * Drop unused sync tools and configs.
  * Fix i18n/by-hash include for stage 1.
  * Always generate full trace.
  * Add ftpsync-cron script.
  * Add several mirror information to trace file.
  * Add informations about the used trigger to trace file.
  * Support URL as a mirror specification.
  * Only build extra tar on Debian, (closes: #875455)
  * Don't duplicate code during expansion. (closes: #857702)

 -- Bastian Blank <waldi@debian.org>  Tue, 12 Sep 2017 22:02:08 +0200

archvsync (20170204) unstable; urgency=medium

  * Initial packaged release

 -- Bastian Blank <waldi@debian.org>  Sun, 22 Jan 2017 18:21:13 +0100

=== debian/control ===
Source: archvsync
Section: admin
Priority: optional
Maintainer: Debian Mirror Team <mirrors@debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/mirror/archvsync.git
Vcs-Browser: https://anonscm.debian.org/cgit/mirror/archvsync.git

Package: ftpsync
Architecture: all
Depends: ${misc:Depends}
Description: Debian archive mirror tool
 ftpsync is the preferred tool for maintaining a Debian mirror.  It
 tries to make updates as smooth as possible, without the clients
 experiencing half updated mirrors.  It supports partial mirrors by
 architecture.

## archvsync 20171018

=== debian/changelog ===
archvsync (20171018) unstable; urgency=medium

  * Revert usage if --info options for connections with old rsync
    version.

 -- Bastian Blank <waldi@debian.org>  Wed, 18 Oct 2017 16:55:46 +0200

archvsync (20171017) unstable; urgency=high

  [ Peter Palfrader ]
  * Add a lot of manpages.

  [ Bastian Blank ]
  * Make sure correct version of runmirrors is installed.
  * Always print error if config can't be read.
  * Support old bash in ftpsync-cron.
  * Implement minimal SSH transport. (closes: #828727)
  * Disable rsync human readable output and only read numbers from
    output.
  * Ask rsync to only allow save symlinks.
    CVE-2017-8805

 -- Bastian Blank <waldi@debian.org>  Tue, 17 Oct 2017 15:22:24 +0200

archvsync (20170920) unstable; urgency=medium

  * Make sure source tar is pretty clean. (closes: #875702)
  * Fix new version nag. (Closes: #865278)
  * Force permissions of files.
  * Make sure own trace files are never overwriten.
  * Check only the archive serial in cron wrapper.
  * Set default MAILTO to the current user.

 -- Bastian Blank <waldi@debian.org>  Wed, 20 Sep 2017 14:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Debian Mirror Team <mirrors@debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends:
+  debhelper (>= 9),
+  pandoc,
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/mirror/archvsync.git
 Vcs-Browser: https://anonscm.debian.org/cgit/mirror/archvsync.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
export DEB_VERSION

TARNAME = ftpsync_$(DEB_VERSION_UPSTREAM_REVISION)_all.tar.gz

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
ifeq ($(DEB_VENDOR),Debian)
	$(MAKE) install-tar DESTDIR=debian/ftpsync-tar/distrib
endif

override_dh_builddeb:
	dh_builddeb
ifeq ($(DEB_VENDOR),Debian)
	tar -c -C debian/ftpsync-tar distrib | gzip -n > ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) byhand -
endif

## archvsync 20180513

=== debian/changelog ===
archvsync (20180513) unstable; urgency=medium

  * Try to support BSD and co userland.
  * Drop support for rsync < 3.0.
  * Break siblings out of push lock wait if timeout hits.
  * Disable incremental recursive mode.
  * Make tar generation reproducible. (closes: #856860)
  * Update Standards-Version to 4.1.4, no changes.
  * Lower rsync timeout to 120 seconds. (closes: #882381)

 -- Bastian Blank <waldi@debian.org>  Sun, 13 May 2018 12:43:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,20 +7,32 @@
 include /usr/share/dpkg/vendor.mk
 export DEB_VERSION
 
+# Only build the extra tar
+# - on Debian, and
+ifeq ($(DEB_VENDOR),Debian)
+# - if the version doesn't contain a backports or other extension.
+  ifeq ($(shell echo $(DEB_VERSION_UPSTREAM_REVISION) | sed -Ee 's/^[0-9]{8}//'),)
 TARNAME = ftpsync_$(DEB_VERSION_UPSTREAM_REVISION)_all.tar.gz
+  endif
+endif
 
 %:
 	dh $@
 
 override_dh_auto_install:
 	dh_auto_install
-ifeq ($(DEB_VENDOR),Debian)
+ifdef TARNAME
 	$(MAKE) install-tar DESTDIR=debian/ftpsync-tar/distrib
 endif
 
 override_dh_builddeb:
 	dh_builddeb
-ifeq ($(DEB_VENDOR),Debian)
-	tar -c -C debian/ftpsync-tar distrib | gzip -n > ../$(TARNAME)
+ifdef TARNAME
+	tar -c -C debian/ftpsync-tar \
+		--sort=name \
+		--mtime="@${SOURCE_DATE_EPOCH}" \
+		--owner=root:0 \
+		--group=root:0 \
+		distrib | gzip -n > ../$(TARNAME)
 	dpkg-distaddfile $(TARNAME) byhand -
 endif

## archvsync 20180513+nmu1

=== Makefile ===
include /usr/share/dpkg/pkg-info.mk

bindir = /usr/bin
docdir = /usr/share/doc/ftpsync
examplesdir = ${docdir}/examples
mandir = /usr/share/man
man1dir = ${mandir}/man1
man5dir = ${mandir}/man5

MAN1 = ftpsync ftpsync-cron rsync-ssl-tunnel runmirrors
MAN5 = ftpsync.conf runmirrors.conf runmirrors.mirror
SCRIPTS = ftpsync ftpsync-cron rsync-ssl-tunnel runmirrors
ALL = $(MAN1:%=doc/%.1) $(MAN5:%=doc/%.5) $(SCRIPTS:%=bin/%.install) $(SCRIPTS:%=bin/%.install-tar)

all: $(ALL)

define expand
	sed -r \
		-e '/## INCLUDE COMMON$$/ {' \
		-e 'r bin/common' \
		-e 'r bin/include-$(1)' \
		-e 'c VERSION="${DEB_VERSION}"' \
		-e '};' \
		$< > $@
endef

bin/%.install: bin/% bin/common bin/include-install
	$(call expand,install)

bin/%.install-tar: bin/% bin/common bin/include-tar
	$(call expand,tar)

doc/%: doc/%.md
	pandoc -s -t man -o $@ $<

define install_bin
install -D bin/ftpsync.$(1) $(2)/ftpsync
install -D bin/ftpsync-cron.$(1) $(2)/ftpsync-cron
install -D bin/rsync-ssl-tunnel.$(1) $(2)/rsync-ssl-tunnel
install -D bin/runmirrors.$(1) $(2)/runmirrors
endef

install:
	$(call install_bin,install,${DESTDIR}/${bindir})
	install -D -m644 -t ${DESTDIR}/${docdir} \
		README.md
	install -D -m644 -t ${DESTDIR}/${examplesdir} \
		etc/ftpsync.conf.sample \
		etc/runmirrors.conf.sample \
		etc/runmirrors.mirror.sample
	install -D -m644 -t ${DESTDIR}/${man1dir} ${MAN1:%=doc/%.1}
	install -D -m644 -t ${DESTDIR}/${man5dir} ${MAN5:%=doc/%.5}

install-tar:
	$(call install_bin,install-tar,${DESTDIR}/bin/)
	install -D -m644 -t ${DESTDIR} \
		README.md
	install -D -m644 -t ${DESTDIR}/etc \
		etc/ftpsync.conf.sample \
		etc/runmirrors.conf.sample \
		etc/runmirrors.mirror.sample
	install -D -m644 -t ${DESTDIR}/doc ${MAN1:%=doc/%.1.md} ${MAN5:%=doc/%.5.md}

clean:
	rm -f $(ALL)

=== debian/changelog ===
archvsync (20180513+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 19:22:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,21 @@
 Maintainer: Debian Mirror Team <mirrors@debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>
 Build-Depends:
-  debhelper (>= 9),
-  pandoc,
-Standards-Version: 3.9.8
+ debhelper (>= 10),
+ pandoc,
+Standards-Version: 4.1.4
 Vcs-Git: https://anonscm.debian.org/git/mirror/archvsync.git
 Vcs-Browser: https://anonscm.debian.org/cgit/mirror/archvsync.git
+Rules-Requires-Root: no
 
 Package: ftpsync
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ default-mta | mail-transport-agent,
+ rsync,
+ ${misc:Depends}
+Recommends:
+ curl,
 Description: Debian archive mirror tool
  ftpsync is the preferred tool for maintaining a Debian mirror.  It
  tries to make updates as smooth as possible, without the clients

## archvsync 20180513+nmu1build1

=== debian/changelog ===
archvsync (20180513+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Nov 2025 15:59:19 +0000
